Name:           libconfig
Version:        1.7.3
Release:        3
Summary:        C/C++ Configuration File Library
License:        LGPLv2+
URL:            http://www.hyperrealm.com/libconfig/libconfig.html
# This tarball comes from libconfig-1.7.2/docs/dist/libconfig-1.7.2.tar.gz
# in archive(https://github.com/hyperrealm/libconfig/archive/v1.7.2.tar.gz)
Source0:        https://github.com/hyperrealm/libconfig/releases/download/v%{version}/%{name}-%{version}.tar.gz

Source1:        libconfig.pdf

Patch6000:      backport-Add-logic-to-handle-memory-allocation-failures.patch
Patch6001:      backport-Fixed-various-bugs-in-setting-lookups-by-name-path.patch
Patch6002:      backport-Added-unit-test-for-config_read.patch

Patch9000:      add-to-strbuf_append_string.patch

BuildRequires:  git gcc gcc-c++ bison flex
BuildRequires:  texinfo-tex tex(ecbx1095.tfm) tex(ecrm1095.tfm) tex(cm-super-t1.enc)

%description
Libconfig is a simple library for processing structured configuration files.

%package        devel
Summary:        Files for %{name} development
Requires:       %{name} = %{version}-%{release}

Provides:       libconfig-static
Obsoletes:      libconfig-static

%description    devel
Files for %{name} development

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit
cp %{SOURCE1} .

%build
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}%{_infodir}/dir

%check
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%license COPYING.LIB
%{_libdir}/%{name}*.so.*

%files devel
%defattr(-,root,root)
%doc libconfig.pdf
%{_includedir}/%{name}*
%{_libdir}/cmake/%{name}*
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_infodir}/libconfig.info*
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Tue Dec 06 2022 shixuantong <shixuantong1@huawei.com> - 1.7.3-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Add logic to handle memory allocation failures

* Thu Oct 27 2022 dongyuzhen <dongyuzhen@h-partners.com> - 1.7.3-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Rebuild for next release

* Mon Nov 29 2021 wangchen<wangchen137@huawei.com> - 1.7.3-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 1.7.3

* Tue Sep 8 2020 linwei<linwei54@huawei.com> - 1.7.2-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:modify the URL of Source

* Tue Sep 24 2019 shenyangyang<shenyangyang4@huawei.com> - 1.7.2-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise help package and subpackage

* Wed Aug 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.7.2-7
- Type:NA
- ID:NA
- SUG:NA
- DESC: rewrite spec file

* Tue Aug 20 2019 fangyufa<fangyufa1@huawei.com> - 1..7.2-6
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify name of patch

* Fri Aug 09 2019 fangyufa<fangyufa1@huawei.com> - 1..7.2-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: add head info of patch

* Wed Jul 31 2019 zhuguodong <zhuguodong7@huawei.com> - 1.7.2-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: openEuler Debranding

* Fri Mar 29 2019 wangye <wangye54@huawei.com> - 1.7.2-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add to strbuf_append_string

* Thu Jul 12 2018 zhuguodong <zhuguodong7@huawei.com> - 1.7.2-2
- Package  Initialization
